Page MenuHomePhabricator

CheckUser 2.0: Display the data fetched on special page (preliminary check)
Closed, ResolvedPublic3 Estimated Story Points

Description

Based on what's submitted via the form, display the search results on the special page.

Give each data field a CSS class when the table is output. Then, the highlights are quite easy with CSS.

Related Objects

StatusSubtypeAssignedTask
OpenNone
OpenNiharika
OpenNiharika
ResolvedTchanders
OpenNiharika
OpenTchanders
ResolvedTchanders
Resolveddmaza
Resolveddbarratt
ResolvedTchanders
ResolvedTchanders
ResolvedTchanders
ResolvedTchanders
ResolvedTchanders
ResolvedTchanders
ResolvedTchanders
ResolvedTchanders
ResolvedTchanders
ResolvedTchanders

Event Timeline

aezell created this task.Nov 4 2019, 6:35 PM
Restricted Application added subscribers: MGChecker, Aklapper. · View Herald TranscriptNov 4 2019, 6:35 PM
Niharika triaged this task as Medium priority.Nov 4 2019, 10:21 PM
Niharika removed a project: Epic.
Niharika set the point value for this task to 3.Nov 5 2019, 7:57 PM
Niharika renamed this task from Show CU data on new special page to CheckUser 2.0: Show CU data on new special page.Nov 5 2019, 8:05 PM
Niharika renamed this task from CheckUser 2.0: Show CU data on new special page to CheckUser 2.0: Display the data fetched on special page.Nov 5 2019, 8:19 PM
Tchanders moved this task from Ready to In Progress on the Anti-Harassment (The Letter Song) board.

Change 552269 had a related patch set uploaded (by Tchanders; owner: Tchanders):
[mediawiki/extensions/CheckUser@master] WIP Display preliminary results in a table in Special:Investigate

https://gerrit.wikimedia.org/r/552269

Niharika renamed this task from CheckUser 2.0: Display the data fetched on special page to CheckUser 2.0: Display the data fetched on special page (preliminary check).Nov 21 2019, 5:51 PM
Tchanders reassigned this task from Tchanders to dbarratt.Dec 5 2019, 5:30 PM
Tchanders added a subscriber: Tchanders.
dbarratt removed dbarratt as the assignee of this task.Dec 6 2019, 10:24 PM
dbarratt added a subscriber: dbarratt.
dbarratt claimed this task.Jan 2 2020, 4:34 PM
Tchanders claimed this task.Jan 6 2020, 1:34 PM

Change 563194 had a related patch set uploaded (by Tchanders; owner: Tchanders):
[mediawiki/extensions/CheckUser@master] [WIP alternative] Display preliminary results in a table in Special:Investigate

https://gerrit.wikimedia.org/r/563194

Change 552269 merged by jenkins-bot:
[mediawiki/extensions/CheckUser@master] Display preliminary results in a table in Special:Investigate

https://gerrit.wikimedia.org/r/552269

Change 552269 merged by jenkins-bot:
[mediawiki/extensions/CheckUser@master] Display preliminary results in a table in Special:Investigate

https://gerrit.wikimedia.org/r/552269

🎉

Change 563194 abandoned by Tchanders:
[WIP alternative] Display preliminary results in a table in Special:Investigate

Reason:
Uploaded for illustration

https://gerrit.wikimedia.org/r/563194

I think I have tested this before, but with all the recent changes I guess it is as well to retest it.

Comparing the results of Preliminary Check with Special:CentralAuth for a few different users. I did not see any discrepancies in the "Date attached", "Wiki", "Edits", blocked "Status", or "Groups".

Environment: Local vagrant MediaWiki 1.35.0-alpha (b7562e5), CheckUser 2.5 (bb62ea2) 07:23, 19 February 2020.